MWProParserInternal::Zone Struct Reference

Internal: a struct used to store a zone. More...

## Public Member Functions

| Zone ()
| ~Zone ()
libmwaw::DebugFile & | ascii ()
| returns the debug file More...

## Public Attributes

int | m_type
| the type : 0(text), 1(graphic) More...
int | m_blockId
| the first block id More...
WPXBinaryData | m_data
| the storage More...
MWAWInputStreamPtr | m_input
| the main input More...
libmwaw::DebugFile | m_asciiFile
| the debug file More...
bool | m_parsed
| true if the zone is sended More...

## Detailed Description

Internal: a struct used to store a zone.

## Constructor & Destructor Documentation

MWProParserInternal::Zone::Zone | ( |  | ) |

inline

MWProParserInternal::Zone::~Zone | ( |  | ) |

inline

## Member Function Documentation

libmwaw::DebugFile& MWProParserInternal::Zone::ascii | ( |  | ) |

inline

returns the debug file

Referenced by ~Zone().

## Member Data Documentation

libmwaw::DebugFile MWProParserInternal::Zone::m_asciiFile

the debug file

Referenced by ascii().

int MWProParserInternal::Zone::m_blockId

the first block id

WPXBinaryData MWProParserInternal::Zone::m_data

the storage

MWAWInputStreamPtr MWProParserInternal::Zone::m_input

the main input

bool MWProParserInternal::Zone::m_parsed

true if the zone is sended

int MWProParserInternal::Zone::m_type

the type : 0(text), 1(graphic)

The documentation for this struct was generated from the following file:

- MWProParser.cxx